from util import START_DAY, TODAY, PASSED_DAYS, load_invoices, parse_invoices, Participant, populate_eliminated

print(f"""
```
+================================x
| Welcome to day {PASSED_DAYS} of the      |
|  _     _ _            _        |
| | |__ (_) |_ ___ ___ (_)_ __   |
| | '_ \| | __/ __/ _ \| | '_ \\  |
| | |_) | | || (_| (_) | | | | | |
| |_.__/|_|\__\___\___/|_|_| |_| |
|                                |
|           100k bet!            |
x================================+
```
""")

# last updated: 2024-01-29
legend_of_snail_stacked   = 119600
oracle_stacked            =  13769
prize_pool = legend_of_snail_stacked + oracle_stacked

invoices_path = "invoices.json"
invoices = load_invoices(invoices_path)

participants = parse_invoices(invoices)
participants = populate_eliminated(participants)

print(f"Date: {TODAY.strftime('%Y-%m-%d')}\n")
print(f"Number of participants: {len(participants)}\n")
print(f"Prize Pool: `{prize_pool} sats`\n")

# add bets to prize pool
for p in participants:
    if p.paid:
        prize_pool += 1000


# print participants table
print("| Nym | Day | Paid | Elimination Date | Eliminated |")
print("| --- | --- | ---- | ---------------- | ---------- |")
for p in participants:
    print(p)

for p in participants:
    if not p.eliminated:
        print(f"\nNext elimination: @{p.name} ({p.eliminated_in} days remaining)\n")
        break

print("_Want to participate? Click [here](https://stacker.news/items/363233) for more information._")
